Le manuel de aRts
Précédent | Chapitre 2. Outils de aRts | Suivant

# 2.2. artsd

L'accès au ressources matérielles pour le son est contrôlé par artsd, le démon de aRts. Ceci permet à différentes applications d'envoyer simultanément des requêtes au serveur, où elles peuvent être mixées puis jouées. Sans un serveur sonore centralisé, une application utilisant le périphérique son empêche toutes les autres de l'utiliser.

Pour utiliser aRts, il doit y avoir une copie et une seule de artsd en fonctionnement. C'est typiquement le cas lorsque KDE démarre si cela est activé dans Serveur de son dans le centre de configuration.

Le programme accepte les arguments suivants :

artsd [`-n``-p``-u`] [`-a `méthode audio`` `-r `taux d'échantillonnage`` `-b `bits`` `-d` `-D `nom du périphérique`` `-F `fragments`` `-S `taille``] [`-h``-A``-l `niveau``]

`-r `taux d'échantillonnage``

  Règle le taux d'échantillonnage utilisé.

`-h`

  Affiche l'utilisation des commandes.

-n

  Active la transparence réseau.

`-p `port``

  Règle le port TCP à utiliser (implique `-n`).

`-u`

  Public, pas d'authentification (dangeureux).

`-d`

  Active le mode full duplex.

`-D `nom du périphérique``

  Spécifie le périphérique audio (habituellement `/dev/dsp`).

`-F `fragments``

  Règle le nombre de fragments.

`-S `taille``

  Règle la taille des fragments, en octets.

`-l `niveau``

  Règle le niveau d'information - 3 (muet), 2 (alertes), 1 (info), 0 (déboguage).

Dans la plupart des cas, exécuter simplement artsd suffira.

Précédent | Sommaire | Suivant
Outils de aRts | Niveau supérieur | artswrapper